function [fit_slope,fit_intercept] = Linear_fit(x, y)
%CREATEFIT(X,Y)
%  Create a fit.
%
%  Data for 'linear_fit' fit:
%      X Input : x
%      Y Output: y
%  Output:
%      fitresult : a fit object representing the fit.
%      gof : structure with goodness-of fit info.
%
%  See also FIT, CFIT, SFIT.

%  Auto-generated by MATLAB on 24-Nov-2016 16:20:26


%% Fit: 'linear_fit'.
[xData, yData] = prepareCurveData( x, y );

% Set up fittype and options.
ft = fittype( 'm*x+c', 'independent', 'x', 'dependent', 'y' );
opts = fitoptions( 'Method', 'NonlinearLeastSquares' );
opts.Display = 'Off';
opts.StartPoint = [3.4 0.01];

% Fit model to data.
[fitresult, gof] = fit( xData, yData, ft, opts );

% Plot fit with data.
%figure( 'Name', 'linear_fit' );
%h = plot( fitresult, xData, yData );
%set(h, 'LineWidth',2, 'MarkerSize', 20);

%legend( h, {'Data', 'Linear Fit'}, 'Location', 'SouthEast','Fontsize',18 );
% Label axes
%xlabel 'Current(mA)'
%ylabel 'Center Frequency (THz)'
%grid on

fit_coeff=coeffvalues(fitresult);
fit_slope=fit_coeff(2);
fit_intercept=fit_coeff(1);


end
