function y = gaussian(x, x0, A, fwhm)
% y = GAUSSIAN(x, x0, A, fwhm)
% Calculate a normalised Gaussian function with a given amplitude and width
%
% y = A/(sigma sqrt(2*pi)) * exp(-0.5 * ((x-x0)/sigma)^2)
% 
% Input
%   x - samples of independent variable

  sigma = fwhm / (2*sqrt(2*log(2)));
  y = A/(sigma * sqrt(2*pi)) * exp(-0.5 * ((x-x0)/sigma).^2);
end
